The Spring Framework

## org.springframework.orm.hibernate3
Class HibernateQueryException

    java.lang.Object
      java.lang.Throwable
          java.lang.Exception
              java.lang.RuntimeException
                  org.springframework.core.NestedRuntimeException
                      org.springframework.dao.DataAccessException
                          org.springframework.dao.NonTransientDataAccessException
                              org.springframework.dao.InvalidDataAccessResourceUsageException
                                  org.springframework.orm.hibernate3.HibernateQueryException

All Implemented Interfaces:
  Serializable

    public class HibernateQueryException

extends InvalidDataAccessResourceUsageException

Hibernate-specific subclass of InvalidDataAccessResourceUsageException, thrown on invalid HQL query syntax.

Since:
  1.2
Author:
  Juergen Hoeller
See Also:
  `SessionFactoryUtils.convertHibernateAccessException(org.hibernate.HibernateException)`, Serialized Form

Constructor Summary
`HibernateQueryException(QueryException ex)`

Method Summary
`String` `getQueryString()` Return the HQL query string that was invalid.

Methods inherited from class org.springframework.core.NestedRuntimeException
`contains, getMessage, getMostSpecificCause, getRootCause`

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getCause, getLocalizedMessage, getStackTrace, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### HibernateQueryException

    public HibernateQueryException(QueryException ex)

Method Detail

### getQueryString

    public String getQueryString()

  Return the HQL query string that was invalid.

The Spring Framework

Copyright © 2002-2008 The Spring Framework.